package com.ssj.service.weixin.ydz.service.impl;

import com.ssj.bean.weixin.ydz.domain.YdzResult;
import com.ssj.dao.weixin.ydz.dao.YdzResultDao;
import com.ssj.framework.core.common.service.BaseServiceImpl;
import com.ssj.service.weixin.ydz.service.YdzResultService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


/** 
 * @author  ZhangCaibao 
 * @version 2017年7月11日 下午2:24:10 
 * 类说明 
 */
@Service
@Transactional
public class YdzResultServiceImpl extends BaseServiceImpl<YdzResult, String> implements YdzResultService{


	@Autowired
	private YdzResultDao  ydzResultDao;
	
	@Override
	public PagingAndSortingRepository<YdzResult, String> getDao() {
		return ydzResultDao;
	}

	@Override
	public YdzResult findByInfoIdAndUserId(String infoId, String userId) {
		return ydzResultDao.findByInfoIdAndUserId(infoId, userId);
	}

	@Override
	public YdzResult findByUserId(String userId) {
		return ydzResultDao.findByUserId(userId);
	}

}
